Subject: Re: GRO aggregation

From: Shlomo Pongartz <[email-masked]>
Date: Wed, 12 Sep 2012 19:34:58 +0300

On 9/12/2012 7:23 PM, Rick Jones wrote:
> On 09/12/2012 07:41 AM, Shlomo Pongartz wrote:
>> Hi Eric
>>
>> The TSO is just a mean to create a burst of frames on the wire so the
>> NAPI will be able to pool as much as possible.
>
> Is it?  If I recall correctly, TSO was in place well before all 
> drivers were using NAPI.  And NAPI was being proposed independent of 
> TSO. TSO is there to save CPU cycles on the transmit side.  "On the 
> wire" what it sends is to be identical to what a host with greater CPU 
> performance could accomplish.
>
> rick jones
>
Hi Rick.

What I say is that I use TSO on the machine that transmits so I'll have  
a burst of frames on the wire for the NAPI on the receiver machine.
The best thing for my purpose is  that the HW will do the segmentation. 
And unless I'm mistaken the Intel card is capable to do so.

Shlomo.